Api referenceWorkspaces
Decide Finding Match Suggestion
Reference for Decide Finding Match Suggestion in the Hyperoru v1 API, including request, response, and authentication details.
PATCH
/v1/workspaces/{workspace_id}/finding-match-suggestions/{suggestion_id}Decide Finding Match Suggestion. Returns a typed response and a request ID for operational support.
hyperoru_session<token>
Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.
In: cookie
Path Parameters
workspace_id*Workspace Id
Format
uuidsuggestion_id*Suggestion Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/finding-match-suggestions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "reason": "string", "state": "confirmed" }'{
"algorithm_version": "string",
"created_at": "2019-08-24T14:15:22Z",
"decided_at": "2019-08-24T14:15:22Z",
"decided_by": "4accc021-c0cc-4c2c-8a78-605a0ed6da31",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"left_finding_id": "ab2a9365-93af-4416-a93b-fd7875de25e2",
"method": "string",
"rationale": "string",
"right_finding_id": "04e9a9b0-eb9d-42f5-b48d-e87078ac0e25",
"similarity": "string",
"state": "pending"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}